(*
 * delaykick.pas script by Pingu`
 *
 * This script is meant for game types that don't have kick message support
 *  like: half-life2 (cs:s), enemy-territory, COD and RTCW
 *
 * Players are warned before kicking with public say message
 *
 * Note! It is a good idea to disable "Unauthed: x y z" messages while using
 *       this script. This notification is typically located in gameserver.cfg
 * Comment this line: gameserver.var.set "onStatus" "%server.say Unauthed: `%server.var.UnAuthed.noquotes'"
 * or to disable: Gameserver.var.remove OnStatus or GameServer.<servername>.var.remove OnStatus
 *
 * Usage: script.run DelayKick scripts/delaykick.pas
 *)
program delaykick;

// Internal variable, used to count time
Const VAR_COUNTER = 'UNAUTHED_COUNT';
      DELAYTIME   = 3;

// OnPlayerUnauthed is called for every unauthed player after status command
Procedure OnPlayerUnauthed(Client: TssClient; Player: TGameClient; Server: TGameServer);
var Error: String;
begin
   If not Player.Variable.VarBoolean[GC_ONLINE] then exit;
   If Player.Variable.VarInteger[VAR_COUNTER] <= DELAYTIME then begin
        Player.Variable.VarInteger[VAR_COUNTER] := Player.Variable.VarInteger[VAR_COUNTER] + 1;
        If Player.Variable.VarInteger[VAR_COUNTER] = DELAYTIME then begin
            Server.DoSay('^1Kicking^7 '+Player.RealName+' for not running ssclient.    ^3Download The Anticheatclient from www.ufonurkka.mine.nu/ssclient ', Error);
        end;
    end
    else begin
        Player.KickMe('Kicked for not running ssc');
    end;
end;

Procedure Initialization;
begin
   Writeln('Delaykick script loaded.');
end;

Procedure Finalization;
begin
    Writeln('Delaykick script unloaded.');
end;

begin
end.
