unit Variables;
(* This unit controls varible command *)
interface

uses VariablePair;

Const VAR_UNKNOWN_COMMAND='Unset variable';

Type
    TVariable = Class(TVariablePair)
    public
        Property    Path: String Read FPath Write FPath;
        Function    IsVariableAllowed(Name, Value:String):String; Virtual;
        Function    Run(Const Cmd: TStringArray; Const Params: TStringArray; ParamStr:String):string;
        Function    Settings:String;
        Constructor Create;
    end;
    TVariableClass = Class of TVariable;

Function GetGlobalVariableList: TVariable;

implementation
end.
