(*
This script kicks unauthenticated players after 5 minutes

Script.unload timekick
Script.run timekick scripts/timekick.pas 5
 *)
program timekick;

Const DEFAULT_TIMELIMIT = 5;

Const MINUTE = 24*60;
var TimeLimit: Integer;

Procedure OnPlayerUnauthed(Client: TssClient; Player: TGameClient; Server: TGameServer);
var Error: String;
begin
    If not Player.Variable.VarBoolean[GC_ONLINE] then exit;
    If Player.Variable.VarTime[GC_TIME]*MINUTE >= TimeLimit then begin
        Server.DoSay('Kicked '+Player.RealName+' for not running ssclient', Error);
        Player.KickMe(InttoStr(timelimit)+' minute time limit hit. You must run ssclient to play on this server. Download it from www.ufonurkka.mine.nu');
    end;
end;

Procedure Initialization;
begin
    TimeLimit := DEFAULT_TIMELIMIT;
    If ParamCount>=1 then begin
        TimeLimit := StrToInt(ParamStr(1));
    end;

    Writeln('Timekick script loaded. TIMELIMIT='+IntToStr(TimeLimit)+' Minutes');
end;

Procedure Finalization;
begin
    Writeln('Timekick script unloaded.');
end;

begin
end.

