{
    This script downloads a document from http server and writes it to a file

    Usage:

    Script.run wget scripts/wget.pas "http://www.ufonurkka.mine.nu/ssclient/processes.txt" "processes.txt"
}
program wget;
var URL, Error, Filename, Text: String;
begin
    // Unload the document on exit
    unload;

    If ParamCount<>2 then begin
        Writeln('This script downloads a web document and writes it to a file');
        Writeln('Usage: <url> <filename>');
        exit;
    end;

    Url := ParamStr(1);
    Filename := ParamStr(2);

    Writeln('Downloading document '+URL);
    Text := ReadDocument(URL, 5000, 'ssServer/wget_script');
    If Text='' then begin
        Writeln('Failed to download the document');
        exit;
    end;

    Writeln('Saving document to '+Filename);
    If SaveFile(Filename, Text, Error) then begin
        Writeln('Done');
    end else begin
        Writeln('Failed '+Error);
    end;
end.
