(*
This script kicks player when their frag count exceeds 5

Script.unload fragkick
Script.run fragkick scripts/fragkick.pas 5
 *)
program fragkick;

Const DEFAULT_FRAGLIMIT = 5;
var fraglimit: Integer;

Procedure OnPlayerUnauthed(Client: TssClient; Player: TGameClient; Server: TGameServer);
var Error: String;
begin
    If not Player.Variable.VarBoolean[GC_ONLINE] then exit;
    If Player.Variable.VarInteger[GC_SCORE] >= FRAGLIMIT then begin
        Server.DoSay('Kicked '+Player.RealName+'. He wasn''t running ssclient', Error);
        Player.KickMe(InttoStr(fraglimit)+' frag limit hit. You must run ssclient to play on this server. Download it from www.ufonurkka.mine.nu');
    end;
end;

Procedure Initialization;
begin
    FragLimit := DEFAULT_FRAGLIMIT;
    If ParamCount>=1 then begin
        FragLimit := StrToInt(ParamStr(1));
    end;

    Writeln('Fragkick script loaded. FRAGLIMIT='+IntToStr(FragLimit));
end;

Procedure Finalization;
begin
    Writeln('Fragkick script unloaded.');
end;

begin
end.

