unit BanFile;

interface

Type

TBan=Class
    HostName: String;
    Wonid: String;
    Reason: String;
end;

TBanFile=Class
  Public
  Property  FileName: String Read FFileName;
  Property  Changed: Boolean Read FChanged;

  Procedure AddIp(HostName:String; Reason:String; WonId:String='');
  Procedure AddId(WonId:String; Reason:String; HostName:String='');

  Function  FindById(WonId:String):TBan;
  Function  FindByIp (HostName: String):TBan;

  Procedure Clear;

  Procedure Load(Filename:String='');
  Procedure Save(Filename:String='');

  Constructor Create;
  Destructor  Destroy;
end;

implementation
end.
