unit Enviroment;
(* Enviroment for executing commands *)
interface

Uses Alias;

Type
    TEnviroment = Class
    Public
        Property    WithConnection: Boolean Read FWithConnection Write FWithConnection;
        Property    Alias: TAlias Read FAlias;
        Property    Reader: TObject Read FReader Write FReader;
        Property    Password: String Read FPassword Write FPassword;

        Function    GetRoot: String; Virtual;
        // Push new root to stack (with chroot command)
        Function    PushRoot(Root: String; Var OK: Boolean): String; Virtual;
        // Pop and root from stack (returns false if stack was empty)
        Function    PopRoot(Var Root: String): Boolean; Virtual;

        Constructor Create(Root: String; WithConnection:Boolean);
        Destructor  Destroy; 
    end;

implementation

end.
