unit FtpUploaderObject;
interface

Uses
    StringFunctions,
    Writer,
    Enviroment,
    ObjectNode,
    Variables;

Type
    TFtpUpload = Class;
    TFtpUploadList=Class(TObjectNode)
    public
        Property    FtpUpload[I:integer]: TFtpUpload Read GetFtpUpload;

        // All help
        Function    Help: String; Override;

        Function    Settings: String; Override;

        // Execute a command
        Function    Run(Const Cmd, Params: TStringArray; ParamStr: String): string; Override;

        Constructor Create;
    end;

    TFtpUpload=Class(TObjectLeaf)
    Public
        Function    Help: String; Override;

        Function    Settings: String; Override;

        // Execute a command
        Function    Run(Const Cmd, Params: TStringArray; ParamStr: String): string; Override;

        // Info about this object
        Function    Info: String; Override;

        Constructor create(Server: String; Port:Integer; User, password:String; Passive:Boolean=False; Dir:String='');
        Destructor Destroy; Override;
    end;

Function GetFtpUploadList: TFtpUploadList;

implementation
end.
