unit ScreenShot;
(* This unit handles screen shots *)
interface

Type
    TScreenShot=Class
    Private
        FWidth:         Integer;
        FHeight:        Integer;
        FCompression:   Integer;
        FMethod:        Integer;
        FTime:          TDateTime;
        FClientTime:    TDateTime;
        FSize:          Integer;
        FData:          TStream;
    Public
        Property    Size: Integer Read FSize Write FSize;
        Property    ClientTime: TDateTime Read FClientTime Write FClientTime;
        Property    Time: TDateTime Read FTime Write Ftime;
        Property    Method: Integer Read FMethod Write FMethod;
        Property    Compression: Integer Read FCompression Write FCompression;
        Property    Height: Integer Read FHeight Write FHeight;
        Property    Width: Integer Read FWidth Write FWidth;

        Function    Complete: Boolean;
        Procedure   WriteToFile(FileName:String);
    end;

implementation
end.
