unit VariablePair;
(* This unit controls variables as strings *)
interface

uses
  GameTypes;

Type
    TDateTime = Double;

    TVariablePair = Class(TStringPairTree)
    public
        Property    VarBoolean[Name:String]: Boolean Read GetBoolean Write SetBoolean;
        Property    VarInteger[Name:String]: Integer Read GetInteger Write SetInteger;
        Property    VarInt64[Name:String]: Int64 Read GetInt64 Write SetInt64;
        Property    VarDateTime[Name:String]: TDateTime Read GetDateTime Write SetDateTime;
        Property    VarDate[Name:String]: TDateTime Read GetDate Write SetDate;
        Property    VarTime[Name:String]: TDateTime Read GetTime Write SetTime;
        Property    VarGameType[Name:String]: Integer Read GetGameType Write SetGameType;
    end;

implementation
end.
